org.jbpm.kie.services.impl.utils

## Class DefaultKieServiceConfigurator

- java.lang.Object
- - org.jbpm.kie.services.impl.utils.DefaultKieServiceConfigurator

- All Implemented Interfaces:
    KieServiceConfigurator

      public class DefaultKieServiceConfigurator
      extends Object
      implements KieServiceConfigurator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DefinitionService` | `bpmn2Service`
    `protected DeploymentService` | `deploymentService`
    `protected javax.persistence.EntityManagerFactory` | `emf`
    `protected FormManagerService` | `formManagerService`
    `protected org.kie.internal.identity.IdentityProvider` | `identityProvider`
    `protected ProcessInstanceAdminService` | `processAdminService`
    `protected ProcessService` | `processService`
    `protected QueryService` | `queryService`
    `protected RuntimeDataService` | `runtimeDataService`
    `protected org.kie.api.task.UserGroupCallback` | `userGroupCallback`
    `protected UserTaskService` | `userTaskService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKieServiceConfigurator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configureServices(String puName, org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback)`
    `DeploymentUnit` | `createDeploymentUnit(String groupId, String artifactid, String version)`
    `DefinitionService` | `getBpmn2Service()`
    `DeploymentService` | `getDeploymentService()`
    `javax.persistence.EntityManagerFactory` | `getEmf()`
    `FormManagerService` | `getFormManagerService()`
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()`
    `ProcessInstanceAdminService` | `getProcessAdminService()`
    `ProcessService` | `getProcessService()`
    `QueryService` | `getQueryService()`
    `RuntimeDataService` | `getRuntimeDataService()`
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()`
    `UserTaskService` | `getUserTaskService()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emf

          protected javax.persistence.EntityManagerFactory emf

    - #### deploymentService

          protected DeploymentService deploymentService

    - #### bpmn2Service

          protected DefinitionService bpmn2Service

    - #### runtimeDataService

          protected RuntimeDataService runtimeDataService

    - #### processService

          protected ProcessService processService

    - #### userTaskService

          protected UserTaskService userTaskService

    - #### queryService

          protected QueryService queryService

    - #### processAdminService

          protected ProcessInstanceAdminService processAdminService

    - #### identityProvider

          protected org.kie.internal.identity.IdentityProvider identityProvider

    - #### userGroupCallback

          protected org.kie.api.task.UserGroupCallback userGroupCallback

    - #### formManagerService

          protected FormManagerService formManagerService

  - ### Constructor Detail

    - #### DefaultKieServiceConfigurator

          public DefaultKieServiceConfigurator()

  - ### Method Detail

    - #### configureServices

          public void configureServices(String puName,
                                        org.kie.internal.identity.IdentityProvider identityProvider,
                                        org.kie.api.task.UserGroupCallback userGroupCallback)

      Specified by:
        `configureServices` in interface `KieServiceConfigurator`

    - #### createDeploymentUnit

          public DeploymentUnit createDeploymentUnit(String groupId,
                                                     String artifactid,
                                                     String version)

      Specified by:
        `createDeploymentUnit` in interface `KieServiceConfigurator`

    - #### close

          public void close()

      Specified by:
        `close` in interface `KieServiceConfigurator`

    - #### getEmf

          public javax.persistence.EntityManagerFactory getEmf()

    - #### getDeploymentService

          public DeploymentService getDeploymentService()

      Specified by:
        `getDeploymentService` in interface `KieServiceConfigurator`

    - #### getBpmn2Service

          public DefinitionService getBpmn2Service()

      Specified by:
        `getBpmn2Service` in interface `KieServiceConfigurator`

    - #### getRuntimeDataService

          public RuntimeDataService getRuntimeDataService()

      Specified by:
        `getRuntimeDataService` in interface `KieServiceConfigurator`

    - #### getProcessService

          public ProcessService getProcessService()

      Specified by:
        `getProcessService` in interface `KieServiceConfigurator`

    - #### getUserTaskService

          public UserTaskService getUserTaskService()

      Specified by:
        `getUserTaskService` in interface `KieServiceConfigurator`

    - #### getQueryService

          public QueryService getQueryService()

      Specified by:
        `getQueryService` in interface `KieServiceConfigurator`

    - #### getIdentityProvider

          public org.kie.internal.identity.IdentityProvider getIdentityProvider()

      Specified by:
        `getIdentityProvider` in interface `KieServiceConfigurator`

    - #### getUserGroupCallback

          public org.kie.api.task.UserGroupCallback getUserGroupCallback()

      Specified by:
        `getUserGroupCallback` in interface `KieServiceConfigurator`

    - #### getProcessAdminService

          public ProcessInstanceAdminService getProcessAdminService()

      Specified by:
        `getProcessAdminService` in interface `KieServiceConfigurator`

    - #### getFormManagerService

          public FormManagerService getFormManagerService()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.